import Vue from 'vue'
import App from './App.vue'
import './registerServiceWorker'
import router from './router'
import store from './store'

// icon-loader
import Icon from 'vue-svg-icon/Icon.vue'
Vue.component('icon', Icon);

// 手势控件
import VueTouch from 'vue-touch'
Vue.use(VueTouch, { name: 'v-touch' })

Vue.config.productionTip = false
//px2rem
export function setHtmlFontSize() {
  const htmlWidth = document.documentElement.clientWidth || document.body.clientWidth
  const htmlDom = document.getElementsByTagName('html')[0]
  if (htmlWidth >= 500) htmlDom.style.fontSize = 500 / 10 + 'px'
  else htmlDom.style.fontSize = htmlWidth / 10 + 'px'
}
setHtmlFontSize()

// VueClipboard
import VueClipboard from "vue-clipboard2";
Vue.use(VueClipboard);

new Vue({
  router,
  store,
  render: h => h(App)
}).$mount('#app')
